明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 4144|回复: 4

vba可以直接调用cad内部命令吗?

[复制链接]
发表于 2003-11-11 21:12:00 | 显示全部楼层 |阅读模式
发表于 2003-11-11 21:32:00 | 显示全部楼层
当然可以,使用SendCommand。
Sub Example_SendCommand()
   ' This example sends a command for evaluation to the AutoCAD command line
   ' of a particular drawing
   
   ' Create a Circle in the active drawing and
   ' zoom to display the entire circle
   ThisDrawing.SendCommand "_Circle" & vbCr & "2,2,0" & vbCr & "4" & vbCr
   ThisDrawing.SendCommand "_zoom" & vbCr & "a" & vbCr
   
   ' Refresh view
   ThisDrawing.Regen acAllViewports
   
   MsgBox "A circle command has been sent to the command line of the current drawing."
End Sub
发表于 2003-11-11 22:33:00 | 显示全部楼层
我觉得如果要连续调用很多命令的话,可以将命令写到一个脚本文件,然后执行。
发表于 2003-11-12 00:00:00 | 显示全部楼层
用lisp来调用更方便些!
发表于 2006-7-9 22:22:00 | 显示全部楼层

以上的一段程序在用作其他命令的时候可以,但是用到“XREF”时,就出了问题!程序如下:

ThisDrawing.SendCommand "_zoom" & vbCr & "a" & vbCr & "c:\text.dwg" & vbCr & "0,0,0" & vbCr & "1" & vbCr & "1" & vbCr & "0" & vbCr

程序运行后只是执行到XREF为止,弹出了引用对话框,没有自动选择ATTACH,而是接着执行了“A”命令,即画弧命令。

应该怎么解决,谢谢?

您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-27 00:45 , Processed in 0.168696 second(s), 23 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表